## net.sf.colorer.eclipse.outline
Class OutlineSchemeElement

    java.lang.Object
      net.sf.colorer.editor.OutlineItem
          net.sf.colorer.eclipse.outline.OutlineElement
              net.sf.colorer.eclipse.outline.OutlineSchemeElement

    public class OutlineSchemeElement

extends OutlineElement

Field Summary
`java.util.Vector` `elements`
`int` `l2no`
`int` `pos2`

Fields inherited from class net.sf.colorer.editor.OutlineItem
`length, level, lno, pos, region, token`

Constructor Summary
`OutlineSchemeElement(IWorkbenchAdapter ad, int lno, int pos, int length, int level, java.lang.String token, Region region, java.util.Vector elements)`

Method Summary

Methods inherited from class net.sf.colorer.eclipse.outline.OutlineElement
`getAdapter`

Methods inherited from class net.sf.colorer.editor.OutlineItem
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### l2no

    public int l2no

### pos2

    public int pos2

### elements

    public java.util.Vector elements

Constructor Detail

### OutlineSchemeElement

    public OutlineSchemeElement(IWorkbenchAdapter ad,
                                int lno,
                                int pos,
                                int length,
                                int level,
                                java.lang.String token,
                                Region region,
                                java.util.Vector elements)

Copyright © 2003 Cail Lomecb. All Rights Reserved.